Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2011-04-27 22:36:41 +0400
committerJunio C Hamano <gitster@pobox.com>2011-04-27 22:36:41 +0400
commit698a9ab3f104b369e41ad26ad0bdaedc3a1d5f4f (patch)
treef8f4caee7105d8c1a03aa68ae7a5b1428c2dc337 /t
parent95fd6e21f1e7656d3760346ec08b2d43133cba9c (diff)
parent55f9d7a75c90ca98f7d7be32e9bdca5a789d1257 (diff)
Merge branch 'mh/git-svn-automkdirs'
* mh/git-svn-automkdirs: git-svn: add an option to skip the creation of empty directories
Diffstat (limited to 't')
-rwxr-xr-xt/t9146-git-svn-empty-dirs.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/t/t9146-git-svn-empty-dirs.sh b/t/t9146-git-svn-empty-dirs.sh
index 158c8e33ef..6d3130e618 100755
--- a/t/t9146-git-svn-empty-dirs.sh
+++ b/t/t9146-git-svn-empty-dirs.sh
@@ -28,6 +28,23 @@ test_expect_success 'empty directories exist' '
)
'
+test_expect_success 'option automkdirs set to false' '
+ (
+ git svn init "$svnrepo" cloned-no-mkdirs &&
+ cd cloned-no-mkdirs &&
+ git config svn-remote.svn.automkdirs false &&
+ git svn fetch &&
+ for i in a b c d d/e d/e/f "weird file name"
+ do
+ if test -d "$i"
+ then
+ echo >&2 "$i exists"
+ exit 1
+ fi
+ done
+ )
+'
+
test_expect_success 'more emptiness' '
svn_cmd mkdir -m "bang bang" "$svnrepo"/"! !"
'